# com.mapinfo.midev.data

## Interfaces

- ICreatableDataSource
- ICursor
- IDataProvider
- IDataSource
- IDataSourceDefinition
- IDataSourceTable
- IDataSourceTableEvent
- IDataSourceTableListener
- IHasVolatility
- ITableDefinition
- ITableMetadata

## Classes

- CursorProperties
- DataSourceEntityDescription
- DataSourceNamespace
- LegendAggregate
- LegendMetadata
- TableClosedEvent

## Exceptions

- DataAccessException